cgGetNextTechnique(3)

NAME
cgGetNextTechnique - iterate through techniques in a effect

SYNOPSIS
  #include <Cg/cg.h>
  CGtechnique cgGetNextTechnique( CGtechnique tech );

PARAMETERS

tech
    The current technique.

RETURN VALUES
Returns the next technique in the effect's internal sequence of techniques.

Returns NULL when tech is the last technique in the effect.

DESCRIPTION
The techniques within a effect can be iterated over using cgGetNextTechnique.

Note that no specific order of traversal is defined by this mechanism. The only guarantee is that each technique will be visited exactly once.

EXAMPLES
  CGtechnique tech = cgGetFirstTechnique( effect );
  while( tech )
  {
    /* do something with tech */
    tech = cgGetNextTechnique( tech )
  }

ERRORS
CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

HISTORY
cgGetNextTechnique was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstTechnique manpage, the cgGetNamedTechnique manpage